Index: /trunk/src/org/expeditee/gui/FrameUtils.java
===================================================================
--- /trunk/src/org/expeditee/gui/FrameUtils.java	(revision 768)
+++ /trunk/src/org/expeditee/gui/FrameUtils.java	(revision 769)
@@ -1689,55 +1720,13 @@
 				
 			// Copy files from the source folder to the profile folder
+			} else if (docURL.getProtocol().equals("bundleresource")) {
+				final URLConnection urlConnection = docURL.openConnection();
+				final Class<?> c = urlConnection.getClass();
+				final java.lang.reflect.Method toInvoke = c.getMethod("getFileURL");
+				final URL fileURL = (URL)toInvoke.invoke(urlConnection);
+				BryceSaysPleaseNameMe(new File(fileURL.getPath()));
 			} else {
 				File folder = new File(docURL.toURI().getPath());
-				LinkedList<File> items = new LinkedList<File>();
-				items.addAll(Arrays.asList(folder.listFiles()));
-				LinkedList<File> files = new LinkedList<File>();
-				String res = "org" + File.separator + "expeditee" + File.separator + "assets" + File.separator + "resources";
-				int resLength = res.length();
-				
-				while (items.size() > 0) {
-					File file = items.remove(0);
-					if(file.isFile()) {
-						if(!file.getName().contains(".svn")) {
-							files.add(file);
-						}
-					} else {
-						if (!file.getName().contains(".svn")) {
-							items.addAll(Arrays.asList(file.listFiles()));
-						}
-					}
-				}
-				for (File file : files) {
-					System.out.println(file.getPath());
-					File out = new File(FrameIO.PARENT_FOLDER + file.getPath().substring(file.getPath().indexOf(res) + resLength));
-					if(out.exists()) {
-						continue;
-					}
-					out.getParentFile().mkdirs();
-					FileOutputStream fOut = null;
-					FileInputStream fIn = null;
-					try {
-						// System.out.println(out.getPath());
-						fOut = new FileOutputStream(out);
-						fIn = new FileInputStream(file);
-						byte[] bBuffer = new byte[1024];
-						int nLen;
-						while ((nLen = fIn.read(bBuffer)) > 0) {
-							fOut.write(bBuffer, 0, nLen);
-						}
-						fOut.flush();
-					} catch (Exception e) {
-						e.printStackTrace();
-					} finally {
-						if(fOut != null) {
-							fOut.close();
-						}
-						if(fIn != null) {
-							fIn.close();
-						}
-					}
-					
-				}
+				BryceSaysPleaseNameMe(folder);
 			}
 		}
@@ -1748,19 +1737,71 @@
 	}
 
-	public static Text getLastEdited() {
-		return LastEdited;
-	}
-
-	public static Collection<Text> getCurrentTextItems() {
-		Collection<Text> currentTextItems = new LinkedHashSet<Text>();
-		Collection<Item> currentItems = getCurrentItems(null);
-		if (currentItems != null) {
-			for (Item i : getCurrentItems(null)) {
-				if (i instanceof Text && !i.isLineEnd()) {
-					currentTextItems.add((Text) i);
-				}
+    private static void BryceSaysPleaseNameMe(File folder) throws IOException {
+	LinkedList<File> items = new LinkedList<File>();
+	items.addAll(Arrays.asList(folder.listFiles()));
+	LinkedList<File> files = new LinkedList<File>();
+	String res = "org" + File.separator + "expeditee" + File.separator + "assets" + File.separator + "resources";
+	int resLength = res.length();
+	
+	while (items.size() > 0) {
+		File file = items.remove(0);
+		if(file.isFile()) {
+			if(!file.getName().contains(".svn")) {
+				files.add(file);
 			}
-		}
-		return currentTextItems;
-	}
+		} else {
+			if (!file.getName().contains(".svn")) {
+				items.addAll(Arrays.asList(file.listFiles()));
+			}
+		}
+	}
+	for (File file : files) {
+		System.out.println(file.getPath());
+		File out = new File(FrameIO.PARENT_FOLDER + file.getPath().substring(file.getPath().indexOf(res) + resLength));
+		if(out.exists()) {
+			continue;
+		}
+		out.getParentFile().mkdirs();
+		FileOutputStream fOut = null;
+		FileInputStream fIn = null;
+		try {
+			// System.out.println(out.getPath());
+			fOut = new FileOutputStream(out);
+			fIn = new FileInputStream(file);
+			byte[] bBuffer = new byte[1024];
+			int nLen;
+			while ((nLen = fIn.read(bBuffer)) > 0) {
+				fOut.write(bBuffer, 0, nLen);
+			}
+			fOut.flush();
+		} catch (Exception e) {
+			e.printStackTrace();
+		} finally {
+			if(fOut != null) {
+				fOut.close();
+			}
+			if(fIn != null) {
+				fIn.close();
+			}
+		}
+		
+	}
+    }
+
+    public static Text getLastEdited() {
+	return LastEdited;
+    }
+
+    public static Collection<Text> getCurrentTextItems() {
+	Collection<Text> currentTextItems = new LinkedHashSet<Text>();
+	Collection<Item> currentItems = getCurrentItems(null);
+	if (currentItems != null) {
+	    for (Item i : getCurrentItems(null)) {
+		if (i instanceof Text && !i.isLineEnd()) {
+		    currentTextItems.add((Text) i);
+		}
+	    }
+	}
+	return currentTextItems;
+    }
 }
